net.corda.flows

## Class FetchTransactionsFlow

- FlowLogic
- - FetchDataFlow
  - - net.corda.flows.FetchTransactionsFlow

-     public class FetchTransactionsFlow
      extends FetchDataFlow

  Given a set of tx hashes (IDs), either loads them from local disk or asks the remote peer to provide them.

  A malicious response in which the data provided by the remote peer does not hash to the requested hash results in `exception FetchDataFlow.DownloadedVsRequestedDataMismatch` being thrown. If the remote peer doesn't have an entry, it results in a `exception FetchDataFlow.HashNotFound` exception. Note that returned transactions are not inserted into the database, because it's up to the caller to actually verify the transactions are valid.

  See Also:
    `exception FetchDataFlow.DownloadedVsRequestedDataMismatch`, `exception FetchDataFlow.HashNotFound`

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.corda.flows.FetchDataFlow

      `FetchDataFlow.Request, FetchDataFlow.Result<T extends NamedByHash>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FetchTransactionsFlow(java.util.Set<? extends net.corda.core.crypto.SecureHash> requests, Party otherSide)` Given a set of tx hashes (IDs), either loads them from local disk or asks the remote peer to provide them.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SignedTransaction` | `load(SecureHash txid)`

    - ### Methods inherited from class net.corda.flows.FetchDataFlow

      `call, convert, getOtherSide, getRequests, load, maybeWriteToDisk`

    - ### Methods inherited from class net.corda.core.flows.FlowLogic

      `call, getCounterpartyMarker, getLogger, getProgressTracker, getRunId, getServiceHub, getStateMachine, receive, send, sendAndReceive, setStateMachine, subFlow, subFlow, track, waitForLedgerCommit`

- - ### Constructor Detail

    - #### FetchTransactionsFlow

          public FetchTransactionsFlow(java.util.Set<? extends net.corda.core.crypto.SecureHash> requests,
                                       Party otherSide)

      Given a set of tx hashes (IDs), either loads them from local disk or asks the remote peer to provide them.

      A malicious response in which the data provided by the remote peer does not hash to the requested hash results in `exception FetchDataFlow.DownloadedVsRequestedDataMismatch` being thrown. If the remote peer doesn't have an entry, it results in a `exception FetchDataFlow.HashNotFound` exception. Note that returned transactions are not inserted into the database, because it's up to the caller to actually verify the transactions are valid.

      See Also:
        `exception FetchDataFlow.DownloadedVsRequestedDataMismatch`, `exception FetchDataFlow.HashNotFound`

  - ### Method Detail

    - #### load

          public SignedTransaction load(SecureHash txid)